import 'package:flutter_bloc/flutter_bloc.dart';

import 'carousel_event.dart';
import 'carousel_state.dart';

class CarouselBloc extends Bloc<CarouselEvent, CarouselState> {
  CarouselBloc() : super(CarouselInitial()) {
    on<PageChanged>((event, emit) {
      emit(CarouselPageState(event.index));
    });
  }
}
